Vulnerability & Exploit Database

Back to search

ZoneMinder Video Server packageControl Command Execution

This module exploits a command execution vulnerability in ZoneMinder Video Server version 1.24.0 to 1.25.0 which could be abused to allow authenticated users to execute arbitrary commands under the context of the web server user. The 'packageControl' function in the 'includes/actions.php' file calls 'exec()' with user controlled data from the 'runState' parameter.

Free Metasploit Download

Get your copy of the world's leading penetration testing tool

 Download Now

Module Name

exploit/unix/webapp/zoneminder_packagecontrol_exec

Authors

  • bcoles <bcoles [at] gmail.com>

References

Targets

  • Automatic Targeting

Platforms

  • unix

Architectures

  • cmd

Reliability

Development

Module Options

To display the available options, load the module within the Metasploit console and run the commands 'show options' or 'show advanced':

msf > use exploit/unix/webapp/zoneminder_packagecontrol_exec msf exploit(zoneminder_packagecontrol_exec) > show targets ...targets... msf exploit(zoneminder_packagecontrol_exec) > set TARGET <target-id> msf exploit(zoneminder_packagecontrol_exec) > show options ...show and set options... msf exploit(zoneminder_packagecontrol_exec) > exploit

Related Vulnerabilities